curl --request PATCH \
--url https://api.hubapi.com/commerce/payment-links/2026-09-beta/payment-links/{paymentLinkId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessUnitId": {},
"dealConfigurations": {},
"descriptionHtml": {},
"discountObjectId": {},
"domainId": {},
"successUrl": {},
"acceptedPaymentMethods": [],
"additionalFormFields": [
{
"isRequired": true,
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"propertyName": "<string>",
"description": "<string>"
}
],
"automatedSalesTaxEnabled": true,
"collectFullBillingAddress": true,
"collectShippingAddress": true,
"currencyCode": "<string>",
"discountCodeEnabled": true,
"discountObjectIds": [
"<string>"
],
"enableDefaultCheckoutFees": true,
"feeObjectIds": [
"<string>"
],
"fees": [
{
"label": "<string>",
"value": 123
}
],
"includeEmailInSuccessRedirect": true,
"isOneTimeUseEnabled": true,
"lineItemObjectIds": [
"<string>"
],
"lineItems": [
{
"mode": "CUSTOM",
"name": "<string>",
"pricing": {
"prices": [
{
"currencyCode": "<string>",
"price": {},
"maxQuantity": "<string>"
}
]
},
"quantity": 123,
"allowBuyerSelectedQuantity": true,
"billingCycleAnchorDate": "2023-12-25",
"billingStartDelayDays": 123,
"billingStartDelayMonths": 123,
"buyerSelectedQuantityMax": 123,
"buyerSelectedQuantityMin": 123,
"description": "<string>",
"discount": 123,
"discountPercentage": 123,
"externalId": "<string>",
"images": "<string>",
"isEditablePrice": true,
"isOptional": true,
"lineItemCurrencyCode": "<string>",
"positionOnQuote": 123,
"priceBookId": "<string>",
"productId": "<string>",
"productType": "<string>",
"recurringBillingEndDate": "2023-12-25",
"recurringBillingPeriod": "<string>",
"recurringBillingStartDate": "2023-12-25",
"richTextDescription": "<string>",
"sku": "<string>",
"variantId": "<string>"
}
],
"paymentLinkName": "<string>",
"storePaymentMethodAtCheckout": true,
"taxObjectIds": [
"<string>"
],
"taxes": [
{
"label": "<string>",
"value": 123
}
]
}
'import requests
url = "https://api.hubapi.com/commerce/payment-links/2026-09-beta/payment-links/{paymentLinkId}"
payload = {
"businessUnitId": {},
"dealConfigurations": {},
"descriptionHtml": {},
"discountObjectId": {},
"domainId": {},
"successUrl": {},
"acceptedPaymentMethods": [],
"additionalFormFields": [
{
"isRequired": True,
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"propertyName": "<string>",
"description": "<string>"
}
],
"automatedSalesTaxEnabled": True,
"collectFullBillingAddress": True,
"collectShippingAddress": True,
"currencyCode": "<string>",
"discountCodeEnabled": True,
"discountObjectIds": ["<string>"],
"enableDefaultCheckoutFees": True,
"feeObjectIds": ["<string>"],
"fees": [
{
"label": "<string>",
"value": 123
}
],
"includeEmailInSuccessRedirect": True,
"isOneTimeUseEnabled": True,
"lineItemObjectIds": ["<string>"],
"lineItems": [
{
"mode": "CUSTOM",
"name": "<string>",
"pricing": { "prices": [
{
"currencyCode": "<string>",
"price": {},
"maxQuantity": "<string>"
}
] },
"quantity": 123,
"allowBuyerSelectedQuantity": True,
"billingCycleAnchorDate": "2023-12-25",
"billingStartDelayDays": 123,
"billingStartDelayMonths": 123,
"buyerSelectedQuantityMax": 123,
"buyerSelectedQuantityMin": 123,
"description": "<string>",
"discount": 123,
"discountPercentage": 123,
"externalId": "<string>",
"images": "<string>",
"isEditablePrice": True,
"isOptional": True,
"lineItemCurrencyCode": "<string>",
"positionOnQuote": 123,
"priceBookId": "<string>",
"productId": "<string>",
"productType": "<string>",
"recurringBillingEndDate": "2023-12-25",
"recurringBillingPeriod": "<string>",
"recurringBillingStartDate": "2023-12-25",
"richTextDescription": "<string>",
"sku": "<string>",
"variantId": "<string>"
}
],
"paymentLinkName": "<string>",
"storePaymentMethodAtCheckout": True,
"taxObjectIds": ["<string>"],
"taxes": [
{
"label": "<string>",
"value": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
businessUnitId: {},
dealConfigurations: {},
descriptionHtml: {},
discountObjectId: {},
domainId: {},
successUrl: {},
acceptedPaymentMethods: [],
additionalFormFields: [
{
isRequired: true,
label: '<string>',
options: [{label: '<string>', value: '<string>', description: '<string>'}],
propertyName: '<string>',
description: '<string>'
}
],
automatedSalesTaxEnabled: true,
collectFullBillingAddress: true,
collectShippingAddress: true,
currencyCode: '<string>',
discountCodeEnabled: true,
discountObjectIds: ['<string>'],
enableDefaultCheckoutFees: true,
feeObjectIds: ['<string>'],
fees: [{label: '<string>', value: 123}],
includeEmailInSuccessRedirect: true,
isOneTimeUseEnabled: true,
lineItemObjectIds: ['<string>'],
lineItems: [
{
mode: 'CUSTOM',
name: '<string>',
pricing: {prices: [{currencyCode: '<string>', price: {}, maxQuantity: '<string>'}]},
quantity: 123,
allowBuyerSelectedQuantity: true,
billingCycleAnchorDate: '2023-12-25',
billingStartDelayDays: 123,
billingStartDelayMonths: 123,
buyerSelectedQuantityMax: 123,
buyerSelectedQuantityMin: 123,
description: '<string>',
discount: 123,
discountPercentage: 123,
externalId: '<string>',
images: '<string>',
isEditablePrice: true,
isOptional: true,
lineItemCurrencyCode: '<string>',
positionOnQuote: 123,
priceBookId: '<string>',
productId: '<string>',
productType: '<string>',
recurringBillingEndDate: '2023-12-25',
recurringBillingPeriod: '<string>',
recurringBillingStartDate: '2023-12-25',
richTextDescription: '<string>',
sku: '<string>',
variantId: '<string>'
}
],
paymentLinkName: '<string>',
storePaymentMethodAtCheckout: true,
taxObjectIds: ['<string>'],
taxes: [{label: '<string>', value: 123}]
})
};
fetch('https://api.hubapi.com/commerce/payment-links/2026-09-beta/payment-links/{paymentLinkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"acceptedPaymentMethods": [],
"additionalFormFields": [
{
"isRequired": true,
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"propertyName": "<string>",
"description": "<string>"
}
],
"archived": true,
"automatedSalesTaxEnabled": true,
"checkoutFeeIds": [
"<string>"
],
"collectFullBillingAddress": true,
"collectShippingAddress": true,
"currencyCode": "<string>",
"discountCodeEnabled": true,
"discounts": [
{
"id": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"fees": [
{
"id": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"formGuid": "<string>",
"id": "<string>",
"includeEmailInSuccessRedirect": true,
"isOneTimeUseEnabled": true,
"lineItems": [
{
"id": "<string>",
"name": "<string>",
"pricing": {
"prices": [
{
"currencyCode": "<string>",
"price": 123,
"maxQuantity": "<string>"
}
]
},
"quantity": 123,
"acv": 123,
"allowBuyerSelectedQuantity": true,
"amount": 123,
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"arr": 123,
"billingCycleAnchorDate": "2023-12-25",
"billingPeriodEndDate": "2023-12-25",
"billingPeriodStartDate": "2023-12-25",
"billingStartDelayDays": 123,
"billingStartDelayMonths": 123,
"buyerSelectedQuantityMax": 123,
"buyerSelectedQuantityMin": 123,
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"discount": 123,
"discountPercentage": 123,
"effectiveUnitPrice": 123,
"externalId": "<string>",
"images": "<string>",
"isEditablePrice": true,
"isOptional": true,
"lineItemCurrencyCode": "<string>",
"mrr": 123,
"positionOnQuote": 123,
"postTaxAmount": 123,
"preDiscountAmount": 123,
"price": 123,
"priceBookId": "<string>",
"productId": "<string>",
"productType": "<string>",
"rampKey": "<string>",
"recurringBillingDayOfMonth": 123,
"recurringBillingEndDate": "2023-12-25",
"recurringBillingNumberOfPayments": 123,
"recurringBillingPeriod": "<string>",
"recurringBillingStartDate": "2023-12-25",
"richTextDescription": "<string>",
"sku": "<string>",
"tax": 123,
"tcv": 123,
"termInMonths": 123,
"tierAmount": 123,
"totalDiscount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"variantId": "<string>"
}
],
"paymentLinkName": "<string>",
"paymentLinkUrl": "<string>",
"storePaymentMethodAtCheckout": true,
"taxes": [
{
"id": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123
}
],
"archivedAt": "2023-11-07T05:31:56Z",
"businessUnitId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dealConfigurations": {
"createNewDealOnPurchase": true,
"pipelineStageId": "<string>"
},
"descriptionHtml": "<string>",
"domainId": "<string>",
"successUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update a payment link
Update a payment link by ID.
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the payment link to update.
Body
An object representing the business unit ID associated with the payment link.
An object containing deal configuration settings.
An object containing the HTML description of the payment link.
An object representing the discount object ID associated with the payment link.
An object representing the domain ID associated with the payment link.
An object representing the success URL where the user is redirected after a successful transaction.
An array of strings indicating the accepted payment methods. Valid values include 'CREDIT_OR_DEBIT_CARD', 'ACH', 'SEPA', 'BACS', and 'PADS'.
CREDIT_OR_DEBIT_CARD, ACH, SEPA, BACS, PADS An array of PaymentLinkFormField objects representing additional form fields for the payment link.
Show child attributes
Show child attributes
A boolean indicating whether automated sales tax is enabled.
A boolean indicating whether to collect the full billing address during checkout.
A boolean indicating whether to collect the shipping address during checkout.
The currency code for the payment link, represented as a string.
Show child attributes
Show child attributes
A boolean indicating whether discount codes are enabled for the payment link.
An array of strings representing the IDs of discount objects associated with the payment link.
A boolean indicating whether default checkout fees are enabled.
An array of strings representing the IDs of fee objects associated with the payment link.
An array of FeeRequest objects representing the fees associated with the payment link.
Show child attributes
Show child attributes
A boolean indicating whether to include the email in the success redirect.
A boolean indicating whether the payment link is enabled for one-time use.
An array of strings representing the IDs of line item objects associated with the payment link.
An array of line item objects, which can be of types LineItemCustomCreateRequest, LineItemFromProductCreateRequest, or LineItemCloneCreateRequest.
- CUSTOM
- FROM_PRODUCT
- CLONE
Show child attributes
Show child attributes
The name of the payment link, represented as a string.
The state of the payment link, represented as a string. Valid values are 'ON' and 'OFF'.
OFF, ON A boolean indicating whether the payment method should be stored at checkout.
An array of strings representing the IDs of tax objects associated with the payment link.
An array of TaxRequest objects representing the taxes associated with the payment link.
Show child attributes
Show child attributes
Response
successful operation
An array of accepted payment methods for the payment link. Valid values include 'CREDIT_OR_DEBIT_CARD', 'ACH', 'SEPA', 'BACS', and 'PADS'.
CREDIT_OR_DEBIT_CARD, ACH, SEPA, BACS, PADS An array of additional form fields included in the payment link.
Show child attributes
Show child attributes
A boolean indicating whether the payment link is archived.
A boolean indicating whether automated sales tax is enabled for the payment link.
An array of checkout fee IDs associated with the payment link.
A boolean indicating whether to collect the full billing address during checkout.
A boolean indicating whether to collect the shipping address during checkout.
The currency code for the payment link, represented as a string.
A boolean indicating whether discount codes are enabled for the payment link.
An array of discount objects associated with the payment link.
Show child attributes
Show child attributes
An array of fee objects associated with the payment link.
Show child attributes
Show child attributes
The form GUID associated with the payment link, represented as a string.
The unique identifier for the payment link, represented as a string.
A boolean indicating whether to include the email in the success redirect URL.
A boolean indicating whether the payment link is enabled for one-time use.
An array of line items associated with the payment link.
Show child attributes
Show child attributes
The name of the payment link, represented as a string.
The URL of the payment link, represented as a string.
The current state of the payment link, represented as a string. Valid values include 'ON' and 'OFF'.
OFF, ON A boolean indicating whether to store the payment method at checkout.
An array of tax objects associated with the payment link.
Show child attributes
Show child attributes
The date and time when the payment link was archived, in ISO 8601 format.
The business unit ID associated with the payment link, represented as a string.
The date and time when the payment link was created, in ISO 8601 format.
Show child attributes
Show child attributes
The HTML description of the payment link, represented as a string.
The domain ID associated with the payment link, represented as a string.
The URL to redirect to upon successful payment, represented as a string.
The date and time when the payment link was last updated, in ISO 8601 format.
Was this page helpful?